﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.NavigationControls;

namespace WebApplication3
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            IList<Items> items = new List<Items>();
            items.Add(new Items() { ItemName = "Test1", Score = 8, Id = 1 });
            items.Add(new Items() { ItemName = "Test2", Score = 10, Id = 2 });

            ExplorerBarGroup grp = new ExplorerBarGroup();
            ExplorerBarItem it = new ExplorerBarItem();

            foreach (Items item in items)
            {
                grp.Value = item.Id.ToString();
                grp.Text = item.ItemName;
                grp.ToolTip = item.ItemName;

                it.Expanded = true;
                it.Value = item.Id.ToString();
                it.Text = item.ItemName;
                it.TemplateId = "Template1";

                grp.Items.Add(it);

                this.WebExplorerBar1.Groups.Add(grp);

                it = new ExplorerBarItem();
                grp = new ExplorerBarGroup();
            }            
        }
    }

    class Items
    {
        public int Id { get; set; }
        public string ItemName { get; set; }
        public int Score { get; set; }
    }
}
